#ifndef RENDER_REGION_H
#define RENDER_REGION_H

// 0: car number
// 1: boundary
// 2: all
// 3: back door
// 4: car top
// 5: shadow
// 6: background
// 7: car top small
// 8: temp test
void setRenderRegion(int region_idx);
void setRenderRegionString(const char *s);

extern const char *PASS1_SAMPLE_RESULTS_FILENAME;
extern const char *PASS2_SAMPLE_RESULTS_FILENAME;
extern const char *PASS1_SAMPLE_INPUT_FILENAME;
extern const char *PASS2_SAMPLE_INPUT_FILENAME;
extern int RENDER_TOP;
extern int RENDER_BOTTOM;
extern int RENDER_LEFT;
extern int RENDER_RIGHT;

inline bool IsInRenderBound(int x, int y) {
  return !(x < RENDER_LEFT || x >= RENDER_RIGHT || y < RENDER_TOP || y >= RENDER_BOTTOM);
}

#endif
