#include <iostream>

#include "util.h"

using namespace std;

int main(int argc, char* argv[]) {
  float *data, *out;
  int width, height;
  scanf("%d %d", &width, &height);
  out = new float[width * height * 4];
  cout << "out " << width << " " << height << endl;
  while(1) {
    char filename[1024];
    int top, bottom, left, right;
    scanf("%s %d %d %d %d", filename, &top, &bottom, &left, &right);
    if (feof(stdin)) break;
    cout << "load " << filename << " " << top << " " << bottom << " " << left << " " << right << endl;
    int tilewidth, tileheight;
    ReadExr(filename, data, tilewidth, tileheight);

    for (int y = top; y < bottom; y++) {
      for (int x = left; x < right; x++) {
        for (int c = 0; c < 4; c++) {
          out[y * width * 4 + x * 4 + c] = data[(y - top)* tilewidth * 4 + (x - left) * 4 + c];
        }
      }
    }
  }

  cout << "out " << width << " " << height << endl;
  WriteExr("merged.exr", out, width, height);
}
