#include <iostream>

#include "util.h"

using namespace std;

int main(int argc, char* argv[]) {
  if (argc < 2) {
    cout << "You need to specify a filename" << endl;
  }
  bool output_all = true;
  int dump_scanline = 0;
  if (argc >= 3) {
    output_all = false;
    dump_scanline = atoi(argv[2]);
  }
  float *data;
  int width, height;
  ReadExr(argv[1], data, width, height);
  for (int y = 0; y < height; y++) {
    if (output_all || y == dump_scanline)
      for (int x = 0; x < width; x++) {
        cout << x << " " << y << " "
             << data[y * width * 4 + x * 4 + 0] << " "
             << data[y * width * 4 + x * 4 + 1] << " "
             << data[y * width * 4 + x * 4 + 2] << " "
             << data[y * width * 4 + x * 4 + 3] << endl;
      }
  }
}
